# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "spm"
version = "0.1.41"
authors = ["Xinyu Bao <baoxinyuworks@163.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Shell Package Manager written in Rust with native AI support."
readme = "README.md"
license = "MIT"
repository = "https://github.com/aspadax/spm"

[[bin]]
name = "spm"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.98"

[dependencies.auth-git2]
version = "0.5.7"

[dependencies.clap]
version = "4.5.27"
features = [
    "cargo",
    "derive",
    "string",
]

[dependencies.console]
version = "0.15.11"

[dependencies.dirs]
version = "6.0.0"

[dependencies.git2]
version = "0.20.1"

[dependencies.libz-sys]
version = "1.1"
features = ["static"]

[dependencies.openssl-sys]
version = "0.9"
features = ["vendored"]

[dependencies.prettytable]
version = "0.10.0"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.140"

[dependencies.which]
version = "7.0.3"

[dev-dependencies.tempfile]
version = "3.17.1"

[target.'cfg(any(target_os = "linux", target_os = "macos", target_os = "windows"))'.dependencies.openssl-sys]
version = "0.9"
features = ["vendored"]

[profile.dist]
lto = "thin"
inherits = "release"
